Name:           abi-compliance-checker
Version:        1.98.8
Release:        1%{?dist}
Summary:        An ABI Compliance Checker

License:        GPL+ or LGPLv2+
URL:            http://ispras.linuxbase.org/index.php/ABI_compliance_checker
Source0:        https://github.com/lvc/%{name}/downloads/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       gcc >= 4.5
Requires:       binutils

%{?perl_default_filter}

%description
A tool for checking backward binary compatibility of a shared C/C++ library. It
checks for changes in calling stack, changes in v-table, removed symbols, etc.


%prep
%setup -q


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_prefix}
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}
%{_fixperms} %{buildroot}/*


%files
%doc LICENSE README doc/
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Sat Feb  8 2013 Richard Shaw <hobbes1069@gmail.com> - 1.98.8-1
- Update to latest upstream release.

* Sat Dec 15 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.7-1
- Update to latest upstream release.

* Wed Dec 05 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.6-1
- Update to latest upstream release.

* Sun Oct 21 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.4-1
- Update to latest upstream release.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 03 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.2-1
- Update to latest upstream release.

* Mon Jun 19 2012 Richard Shaw <hobbes1069@gmail.com> - 1.98.1-1
- Update to latest upstream release.

* Mon Jun 11 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.8-1
- Update to latest upstream release.

* Mon Jun 04 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.7-1
- Update to latest upstream release.

* Tue May 15 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.5-1
- Update to latest upstream release.

* Tue Apr 15 2012 Richard Shaw <hobbes1069@gmail.com> - 1.97.4-1
- Update to latest upstream release.

* Tue Dec 20 2011 Richard Shaw <hobbes1069@gmail.com> - 1.96.1-1
- Update to 1.96.1.
- Fixes false positive: http://forge.ispras.ru/issues/2097

* Wed Dec 07 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.13-1
- Updated to 1.95.13.

* Thu Nov 17 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.10-1
- Updated license field based on upstream response.
- Updated to 1.95.10.
- Added SVN changelog.

* Wed Nov 16 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.9-2
- Fix perl private module install location.
- Fix spec license field.
- Minor specfile cleanup.

* Mon Nov 14 2011 Richard Shaw <hobbes1069@gmail.com> - 1.95.9-1
- Initial release.
